Skip to main content
POST
/
v1
/
simulate
/
instant_payments
/
{instant_payment_id}
/
incoming_return_request_rejection
Simulate Incoming Instant Payment Return Request Rejection
curl --request POST \
  --url https://api.sandbox.lead.bank/v1/simulate/instant_payments/{instant_payment_id}/incoming_return_request_rejection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "customer_no_response",
  "additional_information": "<string>"
}
'
{
  "code": "<string>",
  "title": "<string>",
  "detail": "<string>",
  "status": "<string>",
  "invalid_parameters": [
    {
      "parameter": "transaction_type",
      "reason": "<string>"
    }
  ],
  "instance": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

instant_payment_id
string
required

ID of the instant payment object whose return request you want to reject.

Pattern: ^instant_payment_\w+$

Body

application/json
reason
enum<string>
required

The reason for rejecting the return request.

Available options:
account_closed,
non_sufficient_funds,
customer_requested,
legal_decision,
customer_no_response,
returned_previously,
narrative,
per_agent_request,
other
Example:

"customer_no_response"

additional_information
string

Accompanying free text explanation for the reason.

Maximum string length: 140

Response

Intentionally empty - return request will be rejected asynchronously.